import 'package:get/get.dart';
import 'package:fis_jsonrpc/rpc.dart';

class LabCreateProjectState {
  // title
  final _title = "".obs;
  set title(value) => _title.value = value;
  get title => _title.value;

  // 创建项目-项目名称
  final RxString _projectName = "".obs;
  set projectName(value) => _projectName.value = value;
  String get projectName => _projectName.value;

  // 创建项目-项目简介
  final RxString _projectIntroduction = "".obs;
  set projectIntroduction(value) => _projectIntroduction.value = value;
  String get projectIntroduction => _projectIntroduction.value;

  // 创建项目-项目类型
  final Rx<OrganizationPatientTypeEnum> _projectType =
      Rx(OrganizationPatientTypeEnum.Person);
  set projectType(value) => _projectType.value = value;
  OrganizationPatientTypeEnum get projectType => _projectType.value;
}

// enum ProjectUsageType {
//   // 项目类型 人用
//   ProjectType_HUMAN,
//   // 项目类型 动物
//   ProjectType_ANIMAL,
// }
